%define _unpackaged_files_terminate_build 0
Summary: FPM config and init files for PHP
Summary(ko): PHP FPM 설정 파일 및 구동 파일
Name: php-fpm-conf
Version: 7.0.1
Release: 1%{?dist}
Epoch: 100
License: PHP
Group: System Environment/AnNyung
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Source0: php-fpm.init
Source1: php-fpm.conf
Source2: php-fpm-fcgi.ini
Source3: php-shared.ini
Source5: php-fpm.service
Source6: php-fpm.sysconfig
Source7: php-fpm.logrotate
Source100: status.html

Requires: php-fpm


%description
The php-fpm package contains fpm configuration and init files.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sbindir}/init.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{fpm,fpm.d}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{fpm,fpm.d}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__mkdir_p} %{buildroot}%{_datadir}/php

%{__mkdir_p} %{buildroot}%{_localstatedir}/log/fpm

%{__install} -m755 %{SOURCE0} %{buildroot}%{_sbindir}/init.d/php-fpm
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php.d/php-fpm.conf
%{__install} -m444 %{SOURCE2} %{buildroot}%{_sysconfdir}/php.d/php-fpm-fcgi.ini
%{__install} -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/php.d/fpm/SHARED.ini
%{__install} -m644 %{SOURCE100} %{buildroot}%{_datadir}/php/fpm-status.html

%{__mkdir} -p %{buildroot}%{_unitdir}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -m644 %{SOURCE5} %{buildroot}%{_unitdir}/php-fpm.service
%{__install} -m644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/php-fpm
%{__install} -m644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/php-fpm

%clean
rm -rf %{buildroot}

%post
if [ ! -d /var/log/fpm -o ! -L /var/log/fpm ]; then
    mkdir -p /var/log/fpm
    chgrp nobody /var/log/fpm
    chmod 775 /var/log/fpm
else
    chgrp nobody /var/log/fpm
    chmod 775 /var/log/fpm
fi

%systemd_post php-fpm.service
if [ $1 -eq 1 ]; then
	/usr/bin/systemctl enable php-fpm.service >& /dev/null || :
fi

%preun
%systemd_preun php-fpm.service

%postun
%systemd_postun_with_restart php-fpm.service

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/php.d/fpm
%dir %{_sysconfdir}/php.d/fpm.d
%dir %{_localstatedir}/log/fpm
%{_sbindir}/init.d/php-fpm
%{_datadir}/php/fpm-status.html
%config(noreplace) %{_sysconfdir}/logrotate.d/php-fpm
%config(noreplace) %{_sysconfdir}/php.d/php-fpm-fcgi.ini
%config(noreplace) %{_sysconfdir}/php.d/php-fpm.conf
%config(noreplace) %{_sysconfdir}/php.d/fpm/*.ini

%{_sysconfdir}/sysconfig/php-fpm
%{_unitdir}/*.service

%changelog
* Sat Jan  9 2016 JoungKyun.Kim <http://oops.org> 100:7.0.1-1%{?dist}
- 1st packaged

